package cn.yw.nhyw.sbmb.service;

 import cn.yw.nhyw.sbmb.dao.SbmbDao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;

@Service("sbmbService")
public class SbmbService extends BaseService {
	
	private static Log log = LogFactory.getLog(SbmbService.class);
	
	@Autowired
	private SbmbDao sbmbDao;
	
	/**
	 * 保存记录
	 */
	/*
	public void insert_Sbmb(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		sbmbDao.insert_Sbmb(map);
	}
	*/

	
	/**
	 * 修改记录
	 */
	/*
	public Integer update_Sbmb(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return sbmbDao.update_Sbmb(map);
	}
	*/
	
	/**
	 * 删除记录
	 */
	/*
	public Integer delete_Sbmb(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return sbmbDao.delete_Sbmb(map);
	}
	*/
	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Sbmb(Map map) throws SQLException{
		return sbmbDao.batch_delete_Sbmb(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	public Integer count_Sbmb(Map map) throws SQLException{
		return sbmbDao.count_Sbmb(map);
	}
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Sbmb(Map map) throws SQLException{
		return sbmbDao.query_Sbmb(map);
	}
	
	/**
	 * 查询一条
	 */
	 
	/*
	public Map get_Sbmb(Map map) throws SQLException{
		return sbmbDao.get_Sbmb(map);
	}
	*/
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportSbmb(Map map) throws SQLException{
		return this.listSbmbByPage(map);
	}
	*/
	
	/**
	 * Sbmb 分页
	 */
	/*
	public Map listSbmbByPage(Map map) throws SQLException {
		List<Map> list = sbmbDao.query_Sbmb(map);
		Integer totalCount = sbmbDao.count_Sbmb(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	*/
}
